> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete payment token

> Delete the payment token associated with the payment token id.



## OpenAPI

````yaml /api-reference/vault_payment_tokens_v3.json delete /v3/vault/payment-tokens/{id}
openapi: 3.0.3
info:
  title: Payment Method Tokens
  description: >-
    The Payment Method Tokens API saves payment methods so payers don't have to
    enter details for future transactions. Payers can check out faster or pay
    without being present after they agree to save a payment method.<br><br>The
    API associates a payment method with a temporary setup token. Pass the setup
    token to the API to exchange the setup token for a permanent
    token.<br><br>The permanent token represents a payment method that's saved
    to the vault. This token can be used repeatedly for checkout or recurring
    transactions such as subscriptions.
  version: '3.4'
  contact: {}
servers:
  - url: https://api-m.sandbox.paypal.com
    description: PayPal Sandbox Environment
  - url: https://api-m.paypal.com
    description: PayPal Live Environment
security: []
tags:
  - name: payment-tokens
    description: >-
      Use the `/vault/payment-tokens` resource to create, retrieve, and delete a
      payment token that may optionally be associated with a customer.
  - name: setup-tokens
    description: >-
      Use the `/vault/setup-tokens` resource to create and retrieve temporary
      vault payment methods.
  - name: tokens
    description: >-
      Use the `/vault/tokens` resource to detokenize a vault token to retrieve
      details associated to the underlying payment source.
  - name: tokens-session
    description: >-
      Use the `/vault/tokens/{id}/session` resource to read the token session
      cache and retrieve details associated to the underlying payment source.
  - name: customers
    description: >-
      Use the `/vault/customers` resource to create, update, get and delete a
      customer.
  - name: payment-method-credentials
    description: >-
      Use the `/vault/payment-method-credentials` resource to create payment
      method credentials
externalDocs:
  url: https://developer.paypal.com/docs/api/vault/v3/
paths:
  /v3/vault/payment-tokens/{id}:
    delete:
      tags:
        - payment-tokens
      summary: Delete payment token
      description: Delete the payment token associated with the payment token id.
      operationId: payment-tokens.delete
      parameters:
        - $ref: '#/components/parameters/id'
      responses:
        '204':
          description: >-
            The server has successfully executed the method, but there is no
            entity body to return.
        '400':
          description: >-
            Request is not well-formed, syntactically incorrect, or violates
            schema.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Authorization failed due to insufficient permissions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '500':
          description: An internal server error has occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - Oauth2:
            - https://uri.paypal.com/services/vault/payment-tokens/readwrite
components:
  parameters:
    id:
      name: id
      description: ID of the setup token.
      in: path
      required: true
      schema:
        type: string
        minLength: 7
        maxLength: 36
        pattern: ^[0-9a-zA-Z_-]+$
  schemas:
    error:
      type: object
      title: Error
      description: The error details.
      properties:
        name:
          type: string
          description: The human-readable, unique name of the error.
        message:
          type: string
          description: The message that describes the error.
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        details:
          $ref: '#/components/schemas/error_details_list'
        links:
          $ref: '#/components/schemas/error_definitions-link_description_list'
      required:
        - name
        - message
        - debug_id
    error_details_list:
      type: array
      description: An array of additional details about the error.
      items:
        $ref: '#/components/schemas/error_details-2'
    error_definitions-link_description_list:
      type: array
      description: >-
        An array of request-related [HATEOAS
        links](/api/rest/responses/#hateoas-links).
      readOnly: true
      items:
        $ref: '#/components/schemas/link_description'
    error_details-2:
      title: Error Details
      type: object
      description: The error details. Required for client-side `4XX` errors.
      properties:
        field:
          type: string
          description: >-
            The field that caused the error. If this field is in the body, set
            this value to the field's JSON pointer value. Required for
            client-side errors.
        value:
          type: string
          description: The value of the field that caused the error.
        location:
          type: string
          description: >-
            The location of the field that caused the error. Value is `body`,
            `path`, or `query`.
          default: body
        issue:
          type: string
          description: The unique, fine-grained application-level error code.
        links:
          $ref: '#/components/schemas/definitions-link_description_list'
        description:
          type: string
          description: >-
            The human-readable description for an issue. The description can
            change over the lifetime of an API, so clients must not depend on
            this value.
      required:
        - issue
    link_description:
      type: object
      title: Link Description
      description: >-
        The request-related [HATEOAS link](/api/rest/responses/#hateoas-links)
        information.
      required:
        - href
        - rel
      properties:
        href:
          type: string
          description: >-
            The complete target URL. To make the related call, combine the
            method with this [URI
            Template-formatted](https://tools.ietf.org/html/rfc6570) link. For
            pre-processing, include the `$`, `(`, and `)` characters. The `href`
            is the key HATEOAS component that links a completed call with a
            subsequent call.
        rel:
          type: string
          description: >-
            The [link relation
            type](https://tools.ietf.org/html/rfc5988#section-4), which serves
            as an ID for a link that unambiguously describes the semantics of
            the link. See [Link
            Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
        method:
          type: string
          description: The HTTP method required to make the related call.
          enum:
            - GET
            - POST
            - PUT
            - DELETE
            - HEAD
            - CONNECT
            - OPTIONS
            - PATCH
    definitions-link_description_list:
      type: array
      description: >-
        An array of request-related [HATEOAS
        links](/api/rest/responses/#hateoas-links) that are either relevant to
        the issue by providing additional information or offering potential
        resolutions.
      readOnly: true
      minItems: 1
      maxItems: 4
      items:
        $ref: '#/components/schemas/link_description'
  securitySchemes:
    Oauth2:
      type: oauth2
      description: Oauth 2.0 authentication
      flows:
        clientCredentials:
          tokenUrl: /v1/oauth2/token
          scopes:
            https://uri.paypal.com/services/vault/payment-tokens/readwrite: Manage payment instruments
            https://uri.paypal.com/services/vault/payment-tokens/read: Permission to only read from vault
            https://uri.paypal.com/services/vault/customers/read: Permission to read customer information.
            https://uri.paypal.com/services/vault/customers/readwrite: Permission to create/update customer information.

````